*{
	margin: 0;
	padding: 0;
	box-sizing: border-box;
	font-family: 'Oxygen','Poppins', sans-serif;
}
body{
	width: 100%;
	min-height: 100vh;
	background-color: #fff;
	color: black;
}

/* Navbar styling */
.nav-container {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin: 0 auto;
    background: linear-gradient(to right, #ccc8c8fa, #ddd9d9);
    padding: 5px 2rem;
    border-radius: 2px;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    position: fixed;
    width: 100%;
    height: 125px;
    top: 0;
    z-index: 1000;
    border-bottom: 1px solid rgb(185, 180, 180);
}

.logo-section {
    display: flex;
    flex-direction: row;
    align-items: center;
}

.logo {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    justify-content: center;
}

.logo img {
    height: 55px;
    width: 55px;
    border-radius: 50%;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
    transition: transform 0.3s;
}

.logo img:hover {
    transform: scale(1.1);
}

.logo p {
    margin-top: 3px;
    font-weight: 600;
    color: rgba(6, 49, 23, 0.959);
    font-size: 16px;
}

nav {
    flex: 1;
    text-align: right;
}

.nav-links {
    list-style: none;
    display: flex;
    justify-content: flex-end;
    align-items: center;
    gap: 20px;
    position: relative;
}

.nav-links li {
    margin-left: 20px;
}

.nav-links a {
    color: rgb(42, 39, 39);
    text-decoration: none;
    font-weight: bold;
    font-size: medium;
    transition: all 0.3s ease-in-out;
    padding: 10px 15px;
    border-radius: 5px;
    position: relative;
}

/* Hover underline effect */
.nav-links a::after {
    content: "";
    position: absolute;
    bottom: 0;
    left: 50%;
    transform: translateX(-50%);
    height: 3px;
    width: 0;
    background-color: #0aa148;
    transition: width 0.3s ease-in-out;
}


.nav-links a:hover::after {
    width: 100%;
}

/* Active link with background */
.nav-links a.active {
    background-color: #0aa148;
    color: #fff;
    transition: background-color 0.3s ease-in-out;
}

.nav-links a.active::after {
    background-color: transparent; /* Remove hover line for the active link */
}
.nav-links a:hover{
color: rgb(13, 114, 13);
}


@media screen and (max-width:1000px) {
    .nav-links li{
        margin-left: 7px;
    }
    .nav-links{
        gap: 5px;
    }
    .nav-links a{
        padding: 5px 8px;
    }
    .nav-links a{
        font-size:14px;
    }
}
@media screen and (max-width:760px) {
    .logo img{
        width: 50px;
        height:50px;
    }
    .logo p{
        font-size: 14px;
    }
}

@media screen and (max-width:700px){
    .nav-links a{
        font-size: 11px;
    }
    .nav-links li{
        margin-left: 3px;
    }
}

@media screen and (max-width:600px){
    
    .fa-bars{
        font-size: x-large;
        color: black;
    }
    .nav-container{
        position: fixed;
    }
    .nav-links {
        position: absolute;
        width: 100%;
        left: 0;
        top: 100%;
        flex-direction: column;
        text-align: center;
        background: linear-gradient(to right, #ccc8c8fa, #ddd9d9);
        overflow: hidden;
        transition: all 0.3s ease-in-out;
        
    }
    
    .nav-links {
        gap: 20px;
    }
    .nav-links a{
        font-size: 12px;
        padding: 8px 0;
        display: block;
        width:100%;
        height: 100%;
    }
    .nav-links li{
        margin-left: 0px;
        width: 100%;
        
    }
    
}
@media screen and (min-width:600px){
    .fa-bars{
        display: none !important;
    }
    
}

@media screen and (max-width:500px){
    .logo img{
        width: 35px;
        height:35px;
    }
    .logo p{
        font-size: 10px;
    }
}
    /* navbar styling end */

	/* Main Contact page */
.container-contact{
	width: 100%;
	min-height: 100vh;
	display: flex;
	justify-content: center;
	align-items: center;
	padding: 30px 8%;
	margin-top: 10%;
}
.container-contact .row{
	display: flex;
	justify-content: space-between;
	width: 100%;
	max-width: 1100px;
}
.row section.col{
	display: flex;
	flex-direction: column;
}
.row section.left{
	flex-basis: 35%;
	min-width: 320px;
	margin-right: 60px;
}
.row section.right{
	flex-basis: 60%;
}
section.left .contactTitle h2{
	position: relative;
	font-size: 28px;
	color: #2d6a4f;
	display: inline-block;
	margin-bottom: 25px;
}
section.left .contactTitle h2::before{
	content: '';
	position: absolute;
	width: 50%;
	height: 1px;
	background-color: #fff;
	top: 120%;
	left: 0;
}
section.left .contactTitle h2::after{
	content: '';
	position: absolute;
	width: 25%;
	height: 3px;
	background-color: #2d6a4f;
	top: calc(120% - 1px);
	left: 0;
}
section.left .contactTitle p{
	font-size: 17px;
	color: #333;
	letter-spacing: 1px;
	line-height: 1.2;
	padding-bottom: 22px;
}
section.left .contactInfo{
	margin-bottom: 16px;
}
.contactInfo .iconGroup{
	display: flex;
	align-items: center;
	margin: 25px 0px;
}
.iconGroup .icon{
	width: 45px;
	height: 45px;
	border: 2px solid #2d6a4f;
	border-radius: 50%;
	margin-right: 20px;
	position: relative;
}
.iconGroup .icon i{
	font-size: 20px;
	color: #333;
	position: absolute;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
}
.iconGroup .details span{
	display: block;
	color: #333;
	font-size: 18px;
	font-weight: 600;
}
.iconGroup .details span:nth-child(1){
	text-transform: uppercase;
	color: #333;
}
section.left .socialMedia{
	display: flex;
	justify-content: flex-start;
	align-items: center;
	flex-wrap: wrap;
	margin: 22px 0px 20px;
}
.socialMedia a{
	width: 35px;
	height: 35px;
	text-decoration: none;
	text-align: center;
	margin-right: 15px;
	border-radius: 5px;
	background-color: #2d6a4f;
	transition: 0.4s;
}
.socialMedia a i{
	color: #ffffff;
	font-size: 18px;
	line-height: 35px;
	border: 1px solid transparent;
	transition-delay: 0.4s;
}
.socialMedia a:hover{
	transform: translateY(-5px);
	background-color: #fff;
	color: #2d6a4f;
	border: 1px solid #2d6a4f;
}
.socialMedia a:hover i{
	color: #2d6a4f;
}

@media(max-width: 1075px){
  
    .container-contact .row{
      margin-top: 40px;
    }

}

@media (max-width:480px){
.contactTitle{
 padding-top: 50px;
}

}


/* Code for the right section (column) */

input, textarea{
        border-radius: 5px;
        border: none !important;
        padding:5px !important;

}

.row section.right .messageForm{
	display: flex;
	justify-content: space-between;
	flex-wrap: wrap;
	padding-top: 30px;
}
.row section.right .inputGroup{
	margin: 18px 0px;
	position: relative;
}
.messageForm .halfWidth{
	flex-basis: 48%;
}
.messageForm .fullWidth{
	flex-basis: 100%;
}
.messageForm input, .messageForm textarea{
	width: 100%;
	font-size: 18px;
	padding: 2px 0px;
	background-color: #fff;
	color: #333;
	border: none;
	border-bottom: 2px solid #666;
	outline: none;
}
.messageForm textarea{
	resize: none;
	height: 220px;
	display: block;
}
textarea::-webkit-scrollbar{
	width: 5px;
}
textarea::-webkit-scrollbar-track{
	background-color: #fff;
	border-radius: 15px;
}
textarea::-webkit-scrollbar-thumb{
	background-color: #2d6a4f;
	border-radius: 15px;
}
.inputGroup label{
	position: absolute;
	left: 0;
	bottom: 4px;
	color: #333;
	font-size: 16px;
	transition: 0.4s;
	pointer-events: none;
    padding:5px ;
}
.inputGroup:nth-child(4) label{
	top: 2px;
}
.inputGroup input:focus ~ label, .inputGroup textarea:focus ~ label,
.inputGroup input:valid ~ label, .inputGroup textarea:valid ~ label
{
	transform: translateY(-30px);
	font-size: 16px;
    
}
.inputGroup button{
	padding: 8px 16px;
	font-size: 18px;
	background-color: #2d6a4f;
	color: #ffffff;
	border: 1px solid transparent;
	border-radius: 25px;
	outline: none;
	cursor: pointer;
	box-shadow: 0px 8px 15px #fff;
	transition: 0.4s;
}
.inputGroup button:hover{
	background-color: #2e2e2e;
	color: #fff;
	box-shadow: 0px 0px 15px #fff;
	border: 1px solid #2d6a4f;
}
@media(max-width: 1100px){
	.messageForm .halfWidth{
		flex-basis: 100%;
	}
}
@media(max-width: 900px){
	.container-contact .row{
		flex-wrap: wrap;
	}
	.row section.left, .row section.right{
		flex-basis: 100%;
		margin: 0px;
	}
}


/* Map */

.map-container{
    position: relative;
    width: 80%;
    height: 500px;
    margin-left: 50px;
	margin: 0 80px 10px auto;
	display: flex;
	align-items: center;
	justify-content: center;
}

.mapBg{
    position: absolute;
    background-color: var(--primaryColor);
    top: 0;
    right: 0;
    width: 200px;
    height: 90%;
    border-radius: 20px;
}

.map{
    position: absolute;
    bottom: 0;
    left: 0;
    width: 90%;
    height: 90%;
}

.map iframe{
    width: 100%;
    height: 100%;
}

@media (max-width:480px){
    .map{
        padding-bottom: 20px;
    }

    .map-container{
        width:95%;
margin-left: 15px;}
}


/* Footer */

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Oxygen', sans-serif;
}





/* footer  code starts  */


/* footer  code starts  */
.footerContainer{
    background:#F5F5F5;
}
footer{
    width: 100%;
    /* position: absolute; */
    bottom: 0;
    background: linear-gradient(to right, #262525, #131111);

    color: #eee5e5;
    padding: 100px 0 30px;
     border-top-left-radius: 5px;
    /* border-top-right-radius: 20px; */
    font-size:13px ;
    line-height: 20px;
    box-shadow: 0 -3px 3px rgba(194, 194, 194, 0.708);
}
  .footerRow{
    width: 85%;
    margin:auto;
    display:flex;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: flex-start;
}
.footercol{
    flex-basis: 25%;
    padding: 10px;

}
.footercol:nth-child(2),.footercol:nth-child(3){
    flex-basis:17%;
    
}

.footercol .logo{
    width: 80px;
    margin-bottom: 30px;
    border-radius: 100px;
    
}


.footercol h3{
    width: fit-content;
    color: #008E66;
    margin-bottom: 30px;
    position: relative;
    font-weight:bold;
    
   
    font-style: normal;
    font-size:large;
height: fit-content;    
    




}

.footercol ul li{
    list-style: none;
    margin-bottom: 12px;
}
.footercol ul li a{
    text-decoration: none;
    color: rgb(203, 197, 197);
    font-weight: 600;
    text-decoration: underline;
}
.footercol ul li a:hover{
    color: rgba(22, 151, 48, 0.719);
}



.footer .social-icons .fa-brands{
    width:40px;
    height: 40px;
    border-radius: 50%;
    text-align: center;
    line-height: 40px;
    font-size: 20px;
    color: #000;
    background: #fff;
    margin-right: 15px;
    cursor: pointer;
    

}
.footer .social-icons .fa-brands:hover{
     scale: 1.1;
     transition: scale 0.3s ease;
     box-shadow: 0 0 10px rgba(226, 226, 228, 0.795);
    
     color: white;
}
.footer .social-icons .fa-facebook{
    background: linear-gradient(
        to right,
        #1877F2,
        #2851A3
      );
    color: #fff;}
.footer .social-icons .fa-linkedin{
    background: linear-gradient(
        to right,
        #0077B5,
        #004182
      );color: #fff;}
.footer .social-icons .fa-whatsapp{
    background: linear-gradient(
        135deg,
        #25D366,
        #128C7E
      );color: #fff;}
.footer .social-icons .fa-instagram
{
    background: linear-gradient(
    45deg,
    #f09433 0%,
    #e6683c 25%,
    #dc2743 50%,
    #cc2366 75%,
    #bc1888 100%
  );color: #fff;
}

footer hr{
    width: 90%;
    border: 0;
    border-bottom: 1px solid #ccc;
    margin: 20px auto;


}

#footerScanAndDonate{
    display: flex;
    flex-direction: column;
    align-items: center;
}
#footerScanAndDonate img{
width: 100%;
height: 220px;
object-fit: contain;
}
footer .copyright{
    text-align: center;
}
footer .underline{
    width: 100%;
    height:4px;
    background: #234e2a7b;
    border-radius: 3px;
    position: absolute;
    left: 0;
    bottom: -9;
    overflow: hidden;
}
footer .underline span{
    width: 28px;
    height: 100%;
    background: #29ba6a9c;
    border-radius: 3px;
    position: absolute;
    top: 0;
    left: 10px;
    animation: moving 2s linear infinite ;
    
}
.footerLocation{
    display: flex;
    align-items: center;
    gap: 8px;
}
.emailHere{
    display: flex;
    align-items: center;
   margin-top: 10px;
    gap: 8px;
}
.telephoneInfo{
    display: flex;
    align-items: center;
   margin-top: 10px;
    gap: 8px;
}
.footerLocation2{
    display:flex;
    align-items: center;
    gap: 8px;
    margin: 10px 0 0 0;
}
#office{
    color:#b3adad;
    font-size: 14px;
}
.footerCopyrightSection{
    width: 85%;
    margin: auto;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 10px;
    /* padding: 0 60px; */

}
.aboutInFooter{
    color: rgb(212, 203, 203);
    font-size: normal;
    font-weight: 500;
}
.footerCopyrightSection p{
    letter-spacing: 3px;
}
.footerCopyrightSection .copyright span{
    color: #008e66;
    font-weight: 600;
}

#firstFooterCol p{
   letter-spacing: 1.2px; 
   font-size:14px;
}

.newsletterSection {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 50%;
    min-height: 50vh;
    margin: auto;
    position: relative; /* Required for z-index to work */
    z-index: 1;
    background-image: url("../donation.jpg");
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    margin-top: 10px;
}
.outerNewsletter{
    background: #fcf9f962;
    width: 90%;
    border-radius: 10px;
}
.blurBlack{
    position:absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 1;
    background-color:rgba(110, 104, 104, 0.331);
}
.contentNewsletter{
    position: relative;
    z-index: 2;
    padding: 4px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 10px;
    width: 95%;
    background:rgba(185, 184, 184, 0.249);
    height: 100%;
    padding: 20px;
    margin: auto;
    color: black;
    border-radius: 10px;
    
}
.contentNewsletter h3{
    color: black;
    font-style:normal;
    font-weight: bold;
    font-size: large;
    
    text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.1);
    letter-spacing: 2px;
    text-align: center;
    
}
.contentNewsletter p{
    letter-spacing: 1.5px;
    text-align: center;
    font-size: 13px;
    font-weight: 500;

}

.contentNewsletter form{
    width: 100%;
    text-align: center;
    display: flex;
    flex-direction: column;
    gap: 10px;
}
.contentNewsletter form  input{
    width: 70%;
    padding: 15px 23px;
    outline: none;
    border: none;
    border-bottom: 1px solid grey;
    border-radius: 12px;
}
.contentNewsletter form .fa-solid{
    font-size: 22px;
    margin-right: 5px;
}
.contentNewsletter form button {
    padding: 15px 23px;
    background: #008e66;
    color: white;
    border: none;
    border-radius: 12px;
    cursor: pointer;
    transition: 0.2s ease;
    width: 40%;
    margin:auto;
}
.contentNewsletter form button:hover{
    background-color: #29ba6a;
}
#joinN{
    text-align: center;
    /* margin-bottom: 10px; */
    color: #008E66;
    position: relative;
    width: fit-content;
    margin: auto;
    margin-bottom: 20px ;
    font-size: large;

}
@keyframes moving{
    0%{
        left:-20px
    }
    100%{
        left:100%
    }
}
@media screen and (max-width:700px) {
    footer{
        bottom: unset;
        padding-top: 30px;
    }
    .footer .logo{
        width: 60px;
        border-radius:50%;
    }
    .footercol{
        flex-basis: 100%;
        
        /* padding: 10px; */
    
    }
    .footercol:nth-child(2),.footercol:nth-child(3){
        flex-basis: 100%;
    }
    #firstFooterCol{
        display: flex;
        justify-content: center;
        align-items: center;
        gap: 15px;
     }
     .newsletterSection{
        width: 70%;
     }
     .contentNewsletter h3{
        font-size: medium;
     }
     .contentNewsletter p{
        font-size: 12px;
     }
     .contentNewsletter form input{
        width: 80%;
        padding: 10px 15px;

     }
     .contentNewsletter form button{
        width: fit-content;
        padding: 7px 10px;
        font-size: 10px;
        
        
     }
}
@media  (min-width:700px) and (max-width:1100px) {
 footer{
    bottom:unset;
    padding-top: 30px;
 }
 
.footercol:nth-child(1){
    flex-basis: 100%;
}
.footercol:nth-child(2),.footercol:nth-child(3),.footercol:nth-child(4){
    /* width: fit-content; */
    flex-basis:29%;
}
}

@media screen and (max-width:1000px) {
    .footerCopyrightSection{
        flex-direction: column;
        align-items: center;
        gap: 12px;
    }
}



/* footer code ends  */
